MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028230Open CASCADE[OCCT] OCCT:Modeling Datapublic2016-12-16 10:302017-09-29 16:31
Reportermsv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028230: Convert C0 2d curve to C1 raises exception
DescriptionThe method Geom2dConvert::C0BSplineToC1BSplineCurve raises exception in some cases.
The corresponding draw command is splitc12d.
It is strange that if we call it with tolerance 1e-7 it does not raise exception, and does not modify the curve. The curve remains C0.
If we call it with tolerance 1e-6 the curve becomes C1.
If we call it with tolerance 1e-5 (default for draw command) it raises exception.
The method should have consistent behavior.

This bug was the cause of the bug #28221, which was fixed by another way.
Steps To Reproducerestore bug28230_edge.brep e
mk2dcurve pc e 2
splitc12d pc 0
TagsNo tags attached.
Test case numberbugs moddata_3 bug28230
Attached Files? file icon bug28230_edge.brep (80,321 bytes) 2016-12-16 12:13

- Relationships

-  Notes
(0062463)
git (administrator)
2017-01-10 17:55

Branch CR28230 has been created by ifv.

SHA-1: 7d3df48b6e5c8a8735ec0d94b499f8b3d1a4d64d


Detailed log of new commits:

Author: ifv
Date: Mon Jan 9 09:41:22 2017 +0300

    0028230: Convert C0 2d curve to C1 raises exception
    
    The treatment of small curves (length of curves is less then tolerance used for checking G1) is added in
    Geom2dConvert_CompCurveToBSplineCurve.cxx
(0062464)
ifv (developer)
2017-01-10 17:56

Branch CR28230 is ready for review
(0062786)
git (administrator)
2017-01-19 12:10

Branch CR28230 has been updated by msv.

SHA-1: c85d5631173419be790bafdd368bb13145210f36


Detailed log of new commits:

Author: msv
Date: Thu Jan 19 12:10:13 2017 +0300

    // small optimization and creation of test case

(0062787)
msv (developer)
2017-01-19 12:11

Please test.
(0062859)
git (administrator)
2017-01-20 18:01

Branch CR28230 has been updated forcibly by apv.

SHA-1: 1e99695a7d46405196a585d15dc0369e24c72426
(0062860)
apv (tester)
2017-01-20 18:02

Branch CR28230 has been rebased on the current master
(0062943)
apv (tester)
2017-01-24 14:29

Dear BugMaster,

Branch CR28230 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1e99695a7d46405196a585d15dc0369e24c72426

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1163

Regressions/Differences:
Not detected

Testing cases:
bugs moddata_3 bug28230 - OK
http://occt-tests/CR28230-master-OCCT/Debian70-64/bugs/moddata_3/bug28230.html [^]
http://occt-tests/CR28230-master-OCCT/Windows-64-VC10/bugs/moddata_3/bug28230.html [^]

Testing on Linux:
Total MEMORY difference: 92960529 / 92072858 [+0.96%]
Total CPU difference: 21099.150000000125 / 21062.360000000153 [+0.17%]

Testing on Windows:
Total MEMORY difference: 58324848 / 58324216 [+0.00%]
Total CPU difference: 19486.28771129849 / 19152.585972198493 [+1.74%]
(0063598)
git (administrator)
2017-02-08 11:35

Branch CR28230 has been deleted by kgv.

SHA-1: 1e99695a7d46405196a585d15dc0369e24c72426

- Related Changesets
occt: master 2dad173d
Timestamp: 2017-01-26 09:51:09
Author: ifv
Committer: apn
Details ] Diff ]
0028230: Convert C0 2d curve to C1 raises exception

The treatment of small curves (length of curves is less then tolerance used for checking G1) is added in
Geom2dConvert_CompCurveToBSplineCurve.cxx
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert_CompCurveToBSplineCurve.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug28230 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-16 10:30 msv New Issue
2016-12-16 10:30 msv Assigned To => msv
2016-12-16 10:32 msv Assigned To msv => ifv
2016-12-16 10:32 msv Status new => assigned
2016-12-16 10:32 msv Description Updated View Revisions
2016-12-16 10:32 msv Relationship added related to 0028221
2016-12-16 12:13 msv Steps to Reproduce Updated View Revisions
2016-12-16 12:13 msv File Added: bug28230_edge.brep
2017-01-10 17:55 git Note Added: 0062463
2017-01-10 17:56 ifv Note Added: 0062464
2017-01-10 17:56 ifv Assigned To ifv => msv
2017-01-10 17:56 ifv Status assigned => resolved
2017-01-19 12:10 git Note Added: 0062786
2017-01-19 12:11 msv Note Added: 0062787
2017-01-19 12:11 msv Assigned To msv => bugmaster
2017-01-19 12:11 msv Status resolved => reviewed
2017-01-20 18:01 git Note Added: 0062859
2017-01-20 18:02 apv Note Added: 0062860
2017-01-20 18:02 apv Test case number => bugs moddata_3 bug28230
2017-01-20 18:02 apv Assigned To bugmaster => apv
2017-01-24 14:29 apv Note Added: 0062943
2017-01-24 14:29 apv Assigned To apv => bugmaster
2017-01-24 14:29 apv Status reviewed => tested
2017-01-27 16:15 apn Changeset attached => occt master 2dad173d
2017-01-27 16:15 apn Assigned To bugmaster => apn
2017-01-27 16:15 apn Status tested => verified
2017-01-27 16:15 apn Resolution open => fixed
2017-02-08 11:35 git Note Added: 0063598
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker